# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gtk+-2.0) python-devel
# END SourceDeps(oneline)
%define githash 928494e56f2ab3fef807fde28e888e33ddb94c6a
%define shorthash %(echo "%githash" | cut -c -8)

Name:           gtkparasite
Version:        0
Release:        alt1_0.10.20090120git%{shorthash}
Summary:        A GUI debugging tool for GTK+ applications

Group:          Development/Tools
License:        MIT
URL:            http://chipx86.github.com/gtkparasite/
# http://github.com/chipx86/gtkparasite/tarball/master/%{githash}
Source0:        chipx86-gtkparasite-%{githash}.tar.gz
Source1:        COPYING.gtkparasite
Patch0:         gtkparasite-noconfigure.patch

BuildRequires:  gtk2-devel python-module-pygtk-devel
BuildRequires:  autoconf libtool automake
Source44: import.info
#Requires:       

%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget
properties, and more. You can modify properties on the fly in order to
experiment with the look of your UI.

Parasite includes an embedded Python shell that lets you write new code that
directly interacts with your application's UI, regardless of the language the
application is written in. Create new dialogs, attach temporary signal
handlers to buttons, test out new logic, and gather additional debug
information.

%prep
%setup -qn chipx86-gtkparasite-%{githash}
%patch0 -p1 -b .noconfigure
./autogen.sh
rm COPYING
cp -a %{SOURCE1} COPYING

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*a

%files
%doc COPYING
%{_libdir}/gtk-2.0/modules/libgtkparasite.so

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.10.20090120git%(echo "928494e56f2ab3fef807fde28e888e33ddb94c6a" | cut -c -8)
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.9.20090120git%(echo "928494e56f2ab3fef807fde28e888e33ddb94c6a" | cut -c -8)
- initial fc import

